Bug 1281458 - Cinder Volume Performance and Health Stats Collection
Cinder Volume Performance and Health Stats Collection
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
4.0
Unspecified Unspecified
low Severity unspecified
: ---
: 13.0 (Queens)
Assigned To: Eric Harney
nlevinki
https://blueprints.launchpad.net/cind...
upstream_milestone_none upstream_defi...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 09:59 EST by Jeremy
Modified: 2017-08-03 21:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 178748 None None None Never

  None (edit)
Description Jeremy 2015-11-12 09:59:36 EST
Description of problem:
We have two NFS volumes dedicated to store the custormer cinder volumes. We can identify how many iops are generated in our NFS volume but we need to know how many iops are generated by each cinder volumen that are storage in the NFS volumes (this is a mystery box for us).
We can not access to the customer instances that are using the cinder volumes so we need to know if exist any method to monitor these iops from the MANAGEMENT side (controller node or compute node).

We have searched in cinder and ceilometer documentation and we have not found commands or scripts to  monitor these IOPS.
Comment 2 Stephen Gordon 2016-06-09 14:50:35 EDT
Bulk update to reflect scope of Red Hat OpenStack Platform 9 and Red Hat OpenStack Platform does not include this issue (No pm_ack+).

Note You need to log in before you can comment on or make changes to this bug.